Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034796
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. PlatformminorN/A2016-12-21 10:142016-12-23 11:31
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision112334d02c09
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034796: Not possible to compile subreports automatically in process definition reports

DescriptionThe reporting infrastructure has a feature that allows to compile the subreports at runtime. Currently, is not possible to take advantage of this feature in process definition reports (BaseProcessActionHandler).
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0026763 closedgorkaion Ability to launch reports from process definitions 
related to feature request 0038518 closedcaristu Ability of compiling subreports with HttpSecureAppServlet.renderJR 

-  Notes
(0092901)
hgbot (developer)
2016-12-21 11:58

Repository: erp/devel/pi
Changeset: 112334d02c09bf94f051fc997133154aa85cbab5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Dec 21 11:32:24 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/112334d02c09bf94f051fc997133154aa85cbab5 [^]

fixes issue 34796: Ability to compile subreports in process definition reports

A new method isCompilingSubreports() has been added. This method can be overriden by those handlers extending BaseReportActionHandler that need to compile sub-reports at runtime. In that case this method must return true.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/BaseReportActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
---
(0092925)
hudsonbot (developer)
2016-12-21 20:51

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/abc21394bfb8 [^]
Maturity status: Test
(0092960)
alostale (developer)
2016-12-23 08:53

code reviewed
(0092966)
caristu (developer)
2016-12-23 11:31

Updated wiki: http://wiki.openbravo.com/wiki/How_to_create_a_Report_using_Process_Definition#Sub-Report_Runtime_Compilation [^]

- Issue History
Date Modified Username Field Change
2016-12-21 10:14 caristu New Issue
2016-12-21 10:14 caristu Assigned To => caristu
2016-12-21 10:14 caristu Modules => Core
2016-12-21 10:14 caristu Triggers an Emergency Pack => No
2016-12-21 10:14 caristu Relationship added related to 0026763
2016-12-21 11:58 hgbot Checkin
2016-12-21 11:58 hgbot Note Added: 0092901
2016-12-21 11:58 hgbot Status new => resolved
2016-12-21 11:58 hgbot Resolution open => fixed
2016-12-21 11:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/112334d02c09bf94f051fc997133154aa85cbab5 [^]
2016-12-21 11:58 caristu Review Assigned To => alostale
2016-12-21 20:51 hudsonbot Checkin
2016-12-21 20:51 hudsonbot Note Added: 0092925
2016-12-23 08:53 alostale Note Added: 0092960
2016-12-23 08:53 alostale Status resolved => closed
2016-12-23 08:53 alostale Fixed in Version => 3.0PR17Q1
2016-12-23 11:31 caristu Note Added: 0092966
2018-05-10 17:49 vmromanos Relationship added related to 0038518


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker